import { mk_ascii, tz_split } from "../common/utils";

let max = 33;

function get_name(idx)
{

  switch (idx) {

  case 0:	return mk_ascii(' ',' ','C','i','t','i','e','s',';','-','2');
  case 1:	return mk_ascii('A','n','c','h','o','r','a','g','e',';','4');
  case 2:	return mk_ascii('A','t','l','a','n','t','i','c',';','9');
  case 3:	return mk_ascii('A','z','o','r','e','s',';','1','2');
  case 4:	return mk_ascii('B','a','k','e','r',' ','I','.',';','1');
  case 5:	return mk_ascii('B','a','n','g','k','o','k',';','2','0');
  case 6:	return mk_ascii('B','e','i','j','i','n','g',';','2','1');
  case 7:	return mk_ascii('B','r','a','s','i','l','i','a',';','1','0');
  case 8:	return mk_ascii('C','a','i','r','o',';','1','5');
  case 9:	return mk_ascii('C','h','i','c','a','g','o',';','7');
  case 10:	return mk_ascii('C','h','r','i','s','t','c','h','u','r','c','h',';','2','5');
  case 11:	return mk_ascii('D','e','l','h','i',';','3','0');
  case 12:	return mk_ascii('D','e','n','v','e','r',';','6');
  case 13:	return mk_ascii('H','o','n','o','l','u','l','u',';','3');
  case 14:	return mk_ascii('I','s','l','a','m','a','b','a','d',';','1','8');
  case 15:	return mk_ascii('L','i','n','e',' ','I','.',';','2','7');
  case 16:	return mk_ascii('L','o','n','d','o','n',';','1','3');
  case 17:	return mk_ascii('L','o','s',' ','A','n','g','e','l','e','s',';','5');
  case 18:	return mk_ascii('M','a','u','r','i','t','i','u','s',';','1','7');
  case 19:	return mk_ascii('M','o','s','c','o','w',';','1','6');
  case 20:	return mk_ascii('N','e','p','a','l',';','2','9');
  case 21:	return mk_ascii('N','e','w','f','o','u','n','d','l','a','n','d',';','3','1');
  case 22:	return mk_ascii('N','e','w',' ','Y','o','r','k',';','8');
  case 23:	return mk_ascii('P','a','r','i','s',';','1','4');
  case 24:	return mk_ascii('P','h','o','e','n','i','x',';','3','8');
  case 25:	return mk_ascii('S','.',' ','S','a','n','d','w','i','c','h',';','1','1');
  case 26:	return mk_ascii('S','a','m','o','a',';','2');
  case 27:	return mk_ascii('S','y','d','n','e','y',';','2','3');
  case 28:	return mk_ascii('T','o','k','y','o',';','2','2');
  case 29:	return mk_ascii('T','o','n','g','a',';','2','6');
  case 30:	return mk_ascii('U','r','u','m','q','i',';','1','9');
  case 31:	return mk_ascii('U','T','C',';','2','8');
  case 32:	return mk_ascii('V','a','n','u','a','t','u',';','2','4');

  }
}

export function size()
{

  return max;
}

export function get(i)
{

  return tz_split(get_name(i));
}
