// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019,2020, 2021, Donald Dugger
//
export const VER_MAJOR = 4;
export const VER_MINOR = 23;      // Sense

export const TZ_TIMER     = -5;
export const TZ_LOCAL1    = -4;
export const TZ_CUSTOM1   = -3;
export const TZ_NONE2     = -2;
export const TZ_CUSTOM2   = -1;

export const TZ_HEADER  = -2;
export const TZ_NONE    = -1;

export const TZ_TILE1   = 1;
export const TZ_TILE2   = 2;

export const TZ_CUST1_IDX     = 34;
export const TZ_CUST2_IDX     = 35;
export const TZ_TIMER_IDX     = 36;
export const TZ_COUNTDOWN_IDX = 37;
export const TZ_ARIZONA_IDX   = 38;

export const TIMER_UP   = 0;
export const TIMER_DOWN = 1;
