import { mk_ascii, tz_split } from "../common/utils";

let max = 197;

function get_name(idx)
{

  switch (idx) {

  case 0:   return mk_ascii(' ',' ','C','o','u','n','t','r','i','e','s',';','-','2');
  case 1:   return mk_ascii('A','f','g','h','a','n','i','s','t','a','n',';','3','2');
  case 2:   return mk_ascii('A','l','b','a','n','i','a',';','1','4');
  case 3:   return mk_ascii('A','l','g','e','r','i','a',';','1','4');
  case 4:   return mk_ascii('A','n','d','o','r','r','a',';','1','4');
  case 5:   return mk_ascii('A','n','g','o','l','a',';','1','4');
  case 6:   return mk_ascii('A','n','t','i','g','u','a',';','9');
  case 7:   return mk_ascii('A','r','g','e','n','t','i','n','a',';','1','0');
  case 8:   return mk_ascii('A','r','m','e','n','i','a',';','1','7');
  case 9:   return mk_ascii('A','u','s','r','a','l','i','a',';','2','3');
  case 10:	return mk_ascii('A','u','s','t','r','i','a',';','1','4');
  case 11:	return mk_ascii('A','z','e','r','b','a','i','j','a','n',';','1','7');
  case 12:	return mk_ascii('B','a','h','a','m','a','s',';','8');
  case 13:	return mk_ascii('B','a','h','r','a','i','n',';','1','6');
  case 14:	return mk_ascii('B','a','n','g','l','a','d','e','s','h',';','1','9');
  case 15:	return mk_ascii('B','a','r','b','a','d','o','s',';','9');
  case 16:	return mk_ascii('B','e','l','a','r','u','s',';','1','6');
  case 17:	return mk_ascii('B','e','l','g','i','u','m',';','1','4');
  case 18:	return mk_ascii('B','e','l','i','z','e',';','7');
  case 19:	return mk_ascii('B','e','n','i','n',';','1','4');
  case 20:	return mk_ascii('B','h','u','t','a','n',';','1','9');
  case 21:	return mk_ascii('B','o','l','i','v','i','a',';','9');
  case 22:	return mk_ascii('B','o','s','n','i','a',';','1','4');
  case 23:	return mk_ascii('B','o','s','w','a','n','a',';','1','5');
  case 24:	return mk_ascii('B','r','a','z','i','l',';','1','0');
  case 25:	return mk_ascii('B','r','u','n','e','i',';','2','1');
  case 26:	return mk_ascii('B','u','l','g','a','r','i','a',';','1','5');
  case 27:	return mk_ascii('B','u','r','k','i','n','a','F','a','s','o',';','1','3');
  case 28:	return mk_ascii('B','u','r','u','n','d','i',';','1','5');
  case 29:	return mk_ascii('C','a','m','b','o','d','i','a',';','2','0');
  case 30:	return mk_ascii('C','a','m','e','r','o','o','n',';','1','4');
  case 31:	return mk_ascii('C','a','n','a','d','a',';','7');
  case 32:	return mk_ascii('C','a','p','e','V','e','r','d','e',';','1','2');
  case 33:	return mk_ascii('C','A','R',';','1','4');
  case 34:	return mk_ascii('C','h','a','d',';','1','4');
  case 35:	return mk_ascii('C','h','i','l','e',';','9');
  case 36:	return mk_ascii('C','h','i','n','a',';','2','1');
  case 37:	return mk_ascii('C','o','l','o','m','b','i','a',';','8');
  case 38:	return mk_ascii('C','o','m','o','r','o','s',';','1','6');
  case 39:	return mk_ascii('C','o','s','t','a','R','i','c','a',';','7');
  case 40:	return mk_ascii('C','r','o','a','t','i','a',';','1','4');
  case 41:	return mk_ascii('C','u','b','a',';','8');
  case 42:	return mk_ascii('C','y','p','r','u','s',';','1','5');
  case 43:	return mk_ascii('C','z','e','c','h',';','1','4');
  case 44:	return mk_ascii('D','.','R','e','p','u','b','l','i','c',';','9');
  case 45:	return mk_ascii('D','e','n','m','a','r','k',';','1','4');
  case 46:	return mk_ascii('D','j','i','b','o','u','t','i',';','1','6');
  case 47:	return mk_ascii('D','o','m','i','n','i','c','a',';','9');
  case 48:	return mk_ascii('D','R','C','o','n','g','o',';','1','4');
  case 49:	return mk_ascii('E','.','T','i','m','o','r',';','2','2');
  case 50:	return mk_ascii('E','c','u','a','d','o','r',';','8');
  case 51:	return mk_ascii('E','g','y','p','t',';','1','5');
  case 52:	return mk_ascii('E','l','S','a','l','v','a','d','o','r',';','7');
  case 53:	return mk_ascii('E','r','i','t','r','e','a',';','1','6');
  case 54:	return mk_ascii('E','s','t','o','n','i','a',';','1','5');
  case 55:	return mk_ascii('E','s','w','a','t','i','n','i',';','1','5');
  case 56:	return mk_ascii('E','t','h','i','o','p','i','a',';','1','6');
  case 57:	return mk_ascii('F','i','j','i',';','2','5');
  case 58:	return mk_ascii('F','i','n','l','a','n','d',';','1','5');
  case 59:	return mk_ascii('F','r','a','n','c','e',';','1','0');
  case 60:	return mk_ascii('G','a','b','o','n',';','1','4');
  case 61:	return mk_ascii('G','a','m','b','i','a',';','1','3');
  case 62:	return mk_ascii('G','e','o','r','g','i','a',';','1','7');
  case 63:	return mk_ascii('G','e','r','m','a','n','y',';','1','4');
  case 64:	return mk_ascii('G','h','a','n','a',';','1','3');
  case 65:	return mk_ascii('G','r','e','e','c','e',';','1','5');
  case 66:	return mk_ascii('G','r','e','n','a','d','a',';','9');
  case 67:	return mk_ascii('G','u','a','t','e','m','a','l','a',';','7');
  case 68:	return mk_ascii('G','u','i','n','e','a',';','1','3');
  case 69:	return mk_ascii('G','u','i','n','e','a',';','1','4');
  case 70:	return mk_ascii('G','u','i','n','e','s','-','B','i','s','s','a','u',';','1','3');
  case 71:	return mk_ascii('G','u','y','a','n','a',';','9');
  case 72:	return mk_ascii('H','a','i','t','i',';','8');
  case 73:	return mk_ascii('H','o','n','d','u','r','a','s',';','7');
  case 74:	return mk_ascii('H','u','n','g','a','r','y',';','1','4');
  case 75:	return mk_ascii('I','c','e','l','a','n','d',';','1','3');
  case 76:	return mk_ascii('I','n','d','i','a',';','3','0');
  case 77:	return mk_ascii('I','n','d','o','n','e','s','i','a',';','2','1');
  case 78:	return mk_ascii('I','r','a','n',';','3','1');
  case 79:	return mk_ascii('I','r','a','q',';','1','6');
  case 80:	return mk_ascii('I','r','e','l','a','n','d',';','1','3');
  case 81:	return mk_ascii('I','s','r','a','e','l',';','1','5');
  case 82:	return mk_ascii('I','t','a','l','y',';','1','4');
  case 83:	return mk_ascii('I','v','o','r','y','C','o','a','s','t',';','1','3');
  case 84:	return mk_ascii('J','a','m','a','i','c','a',';','8');
  case 85:	return mk_ascii('J','a','p','a','n',';','2','2');
  case 86:	return mk_ascii('J','o','r','d','a','n',';','1','5');
  case 87:	return mk_ascii('K','a','z','a','k','h','s','t','a','n',';','1','9');
  case 88:	return mk_ascii('K','e','n','y','a',';','1','6');
  case 89:	return mk_ascii('N','.',' ','K','o','r','e','a',';','2','2');
  case 90:	return mk_ascii('S','.',' ','K','o','r','e','a',';','2','2');
  case 91:	return mk_ascii('K','o','r','e','a',';','2','2');
  case 92:	return mk_ascii('K','o','s','o','v','o',';','1','4');
  case 93:	return mk_ascii('K','u','w','a','i','t',';','1','6');
  case 94:	return mk_ascii('K','y','r','g','y','z','s','t','a','n',';','1','9');
  case 95:	return mk_ascii('L','a','o','s',';','2','0');
  case 96:	return mk_ascii('L','a','t','v','i','a',';','1','5');
  case 97:	return mk_ascii('L','e','b','a','n','o','n',';','1','5');
  case 98:	return mk_ascii('L','e','s','o','t','h','o',';','1','5');
  case 99:	return mk_ascii('L','i','b','e','r','i','a',';','1','3');
  case 100:	return mk_ascii('L','i','b','y','a',';','1','5');
  case 101:	return mk_ascii('L','i','e','c','h','t','e','n','s','t','e','i','n',';','1','4');
  case 102:	return mk_ascii('L','i','t','h','u','a','n','i','a',';','1','5');
  case 103:	return mk_ascii('L','u','x','e','m','b','o','u','r','g',';','1','4');
  case 104:	return mk_ascii('M','a','d','a','g','a','s','c','a','r',';','1','6');
  case 105:	return mk_ascii('M','a','l','a','w','i',';','1','5');
  case 106:	return mk_ascii('M','a','l','a','y','s','i','a',';','2','1');
  case 107:	return mk_ascii('M','a','l','d','i','v','e','s',';','1','8');
  case 108:	return mk_ascii('M','a','l','i',';','1','3');
  case 109:	return mk_ascii('M','a','l','t','a',';','1','4');
  case 110:	return mk_ascii('M','a','r','s','h','a','l','l','I','.',';','2','5');
  case 111:	return mk_ascii('M','a','u','r','i','t','a','n','i','a',';','1','3');
  case 112:	return mk_ascii('M','a','u','r','i','t','i','u','s',';','1','7');
  case 113:	return mk_ascii('M','e','x','i','c','o',';','7');
  case 114:	return mk_ascii('M','o','l','d','o','v','a',';','1','5');
  case 115:	return mk_ascii('M','o','n','a','c','o',';','1','4');
  case 116:	return mk_ascii('M','o','n','g','o','l','i','a',';','2','1');
  case 117:	return mk_ascii('M','o','n','t','e','n','e','g','r','o',';','1','4');
  case 118:	return mk_ascii('M','o','r','o','c','c','o',';','1','4');
  case 119:	return mk_ascii('M','o','z','a','m','b','i','q','u','e',';','1','5');
  case 120:	return mk_ascii('M','y','a','n','m','a','r',';','3','3');
  case 121:	return mk_ascii('N','.','M','a','c','e','d','o','n','i','a',';','1','4');
  case 122:	return mk_ascii('N','a','m','i','b','i','a',';','1','4');
  case 123:	return mk_ascii('N','a','u','r','u',';','2','5');
  case 124:	return mk_ascii('N','e','p','a','l',';','2','9');
  case 125:	return mk_ascii('N','e','t','h','e','r','l','a','n','d','s',';','1','4');
  case 126:	return mk_ascii('N','e','w','G','u','i','n','e','a',';','2','3');
  case 127:	return mk_ascii('N','e','w','Z','e','a','l','a','n','d',';','2','5');
  case 128:	return mk_ascii('N','i','c','a','r','a','g','u','a',';','7');
  case 129:	return mk_ascii('N','i','g','e','r',';','1','4');
  case 130:	return mk_ascii('N','i','g','e','r','i','a',';','1','4');
  case 131:	return mk_ascii('N','o','r','w','a','y',';','1','4');
  case 132:	return mk_ascii('O','m','a','n',';','1','7');
  case 133:	return mk_ascii('P','a','k','i','s','t','a','n',';','1','8');
  case 134:	return mk_ascii('P','a','l','a','u',';','2','2');
  case 135:	return mk_ascii('P','a','l','e','s','t','i','n','e',';','1','5');
  case 136:	return mk_ascii('P','a','n','a','m','a',';','8');
  case 137:	return mk_ascii('P','a','r','a','g','u','a','y',';','9');
  case 138:	return mk_ascii('P','e','r','u',';','8');
  case 139:	return mk_ascii('P','h','i','l','i','p','p','i','n','e','s',';','2','1');
  case 140:	return mk_ascii('P','o','l','a','n','d',';','1','4');
  case 141:	return mk_ascii('P','o','r','t','u','g','a','l',';','1','3');
  case 142:	return mk_ascii('Q','a','t','a','r',';','1','6');
  case 143:	return mk_ascii('R','.','C','o','n','g','o',';','1','4');
  case 144:	return mk_ascii('R','o','m','a','n','i','a',';','1','5');
  case 145:	return mk_ascii('R','u','s','s','i','a',';','1','6');
  case 146:	return mk_ascii('R','w','a','n','d','a',';','1','5');
  case 147:	return mk_ascii('S','.','A','f','r','i','c','a',';','1','5');
  case 148:	return mk_ascii('S','.','K','i','t','t','s',';','9');
  case 149:	return mk_ascii('S','.','L','u','c','i','a',';','9');
  case 150:	return mk_ascii('S','.','S','u','d','a','n',';','1','6');
  case 151:	return mk_ascii('S','.','V','i','n','c','e','n','t',';','9');
  case 152:	return mk_ascii('S','a','m','o','a',';','2','6');
  case 153:	return mk_ascii('S','a','n','M','a','r','i','n','o',';','1','4');
  case 154:	return mk_ascii('S','a','o','T','o','m','e',';','1','3');
  case 155:	return mk_ascii('S','a','u','d','i','A','r','a','b','i','a',';','1','6');
  case 156:	return mk_ascii('S','e','n','e','g','a','l',';','1','3');
  case 157:	return mk_ascii('S','e','r','b','i','a',';','1','4');
  case 158:	return mk_ascii('S','e','y','c','h','e','l','l','e','s',';','1','7');
  case 159:	return mk_ascii('S','i','e','r','r','a','L','e','o','n','e',';','1','3');
  case 160:	return mk_ascii('S','i','n','g','a','p','o','r','e',';','2','1');
  case 161:	return mk_ascii('S','l','o','v','a','k','i','a',';','1','4');
  case 162:	return mk_ascii('S','l','o','v','e','n','i','a',';','1','4');
  case 163:	return mk_ascii('S','o','l','o','m','a','n','I','.',';','2','4');
  case 164:	return mk_ascii('S','o','m','a','l','i','a',';','1','6');
  case 165:	return mk_ascii('S','p','a','i','n',';','1','4');
  case 166:	return mk_ascii('S','r','i','L','a','n','k','a',';','3','0');
  case 167:	return mk_ascii('S','u','d','a','n',';','1','5');
  case 168:	return mk_ascii('S','u','r','i','n','a','m','e',';','1','0');
  case 169:	return mk_ascii('S','w','e','d','e','n',';','1','4');
  case 170:	return mk_ascii('S','w','i','t','z','e','r','l','a','n','d',';','1','4');
  case 171:	return mk_ascii('S','y','r','i','a',';','1','5');
  case 172:	return mk_ascii('T','a','i','w','a','n',';','2','1');
  case 173:	return mk_ascii('T','a','j','i','k','i','s','t','a','n',';','1','8');
  case 174:	return mk_ascii('T','a','n','z','a','n','i','a',';','1','6');
  case 175:	return mk_ascii('T','h','a','i','l','a','n','d',';','2','0');
  case 176:	return mk_ascii('T','o','g','o',';','1','3');
  case 177:	return mk_ascii('T','o','n','g','a',';','2','6');
  case 178:	return mk_ascii('T','r','i','n','i','d','a','d',';','9');
  case 179:	return mk_ascii('T','u','n','i','s','i','a',';','1','4');
  case 180:	return mk_ascii('T','u','r','k','e','y',';','1','6');
  case 181:	return mk_ascii('T','u','r','k','m','e','n','i','s','t','a','n',';','1','8');
  case 182:	return mk_ascii('T','u','v','a','l','u',';','2','5');
  case 183:	return mk_ascii('U','A','E',';','1','7');
  case 184:	return mk_ascii('U','g','a','n','d','a',';','1','6');
  case 185:	return mk_ascii('U','K',';','1','3');
  case 186:	return mk_ascii('U','k','r','a','i','n','e',';','1','5');
  case 187:	return mk_ascii('U','r','u','g','u','a','y',';','1','0');
  case 188:	return mk_ascii('U','S','A',';','8');
  case 189:	return mk_ascii('U','z','b','e','k','i','s','t','a','n',';','1','8');
  case 190:	return mk_ascii('V','a','n','u','a','t','u',';','2','4');
  case 191:	return mk_ascii('V','a','t','i','c','a','n',';','1','4');
  case 192:	return mk_ascii('V','e','n','e','z','u','e','l','a',';','9');
  case 193:	return mk_ascii('V','i','e','t','n','a','m',';','2','0');
  case 194:	return mk_ascii('Y','e','m','e','n',';','1','6');
  case 195:	return mk_ascii('Z','a','m','b','i','a',';','1','5');
  case 196:	return mk_ascii('Z','i','m','b','a','b','w','e',';','1','5');

  }
}

export function size()
{

  return max;
}

export function get(i)
{

  return tz_split(get_name(i));
}
